Package com.io7m.idstore.server.service.reqlimit

# Class IdRequestLimitExceeded

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.idstore.error_codes.IdException
com.io7m.idstore.server.service.reqlimit.IdRequestLimitExceeded

All Implemented Interfaces:
  `com.io7m.seltzer.api.SStructuredErrorExceptionType<IdErrorCode>`, `com.io7m.seltzer.api.SStructuredErrorType<IdErrorCode>`, `Serializable`

public final class IdRequestLimitExceeded extends IdException
An exception indicating that a request size limit was exceeded.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdRequestLimitExceeded(String message, long inSizeLimit, long inSizeProvided)`
  An exception indicating that a request size limit was exceeded.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `sizeLimit()`
  `long`
  `sizeProvided()`

  ### Methods inherited from class com.io7m.idstore.error_codes.IdException

  `attributes, errorCode, exception, remediatingAction`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.seltzer.api.SStructuredErrorExceptionType

  `getMessage, message`

- ## Constructor Details

  - ### IdRequestLimitExceeded

    public IdRequestLimitExceeded(String message, long inSizeLimit, long inSizeProvided)
    An exception indicating that a request size limit was exceeded.
    Parameters:
      `message` - The message
      `inSizeLimit` - The limit
      `inSizeProvided` - The provided size

- ## Method Details

  - ### sizeLimit

    public long sizeLimit()
    Returns:
      The size limit

  - ### sizeProvided

    public long sizeProvided()
    Returns:
      The size of the request